The forum

Gwent (help needed)

Gwent installation with GOG Galaxy client

Author Replies
stncr Monday 23 January 2017 at 15:22
stncrAnonymous

     I'm trying to play Gwent via POL. Gwent doesn't have a standalone installer so GOG Galaxy client also must be running.

- - - - -

     With these settings i managed to run GOG Galaxy client:

OS= linux mint 18.1 Cinnamon 64-bit
wine version= 2.0-rc5-staging , 64-bit
Windows Version= 8.1
Overrided libraries= empty

- - - - -

     Now, the problem is when i click "install Gwent" button on GOG Galaxy client, nothing happens.

related video: https://youtu.be/AAHLOwZ1XUQ

And here is the POL debugger when i click "install":

http://pastebin.com/DgQevptZ

Edited by stncr

booman Wednesday 25 January 2017 at 1:01
booman

Since when did GOG not offer stand-alone installer?  Every single GOG game I have provides me with an installer.


† Booman †
Mint 19.3 64-bit | Nvidia 430 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained
paczes Monday 30 January 2017 at 15:07
paczesAnonymous

 

 

Since when did GOG not offer stand-alone installer?  Every single GOG game I have provides me with an installer.

 

@booman, the thing is, the Gwent is a beta version, still, and GOG is (I guess) promoting their new Steam-like client, GOG Galaxy. There's no any other way to install it as you need the beta key at first in order to get to the installer.

@stncr I'm having issues as well, for me the GOG Galaxy doesn't open at all, so you're obviously one step further... I don't think anyone in the whole world got it started - I searched through the whole web for that... I think we're gonna need to wait for the stable and well prepared for wine version.  

booman Monday 30 January 2017 at 18:23
booman

I think I see what you mean.  Since the game is Beta and receiving regular updates, GOG decide to go with a Galaxy installer only.  This way the Galaxy client will apply the updates.

I haven't spend very much time testing the Windows Galaxy installer in PlayOnLinux.  I have tried it in the past and it didn't work.

msvcp140.dll might be related to Visual C 2015 - This has to be installed a specific way because it is not compatible with Wine in PlayOnLinux yet.  If this is the case, try installing vcrun2015 this way...

Installing Visual C 2015

Open PlayOnLinux
Click Configure
Select your virtual drive shortcut (left side)


Miscellaneous Tab
Click "Open a Shell"
Copy/Paste:

Code:
wget  https://raw.githubusercontent.com/Winetricks/winetricks/master/src/winetricks

Press Enter

Copy/Paste

Code:
chmod +x winetricks

Press Enter

Copy/Paste

Code:
WINEPREFIX=/home/username/.PlayOnLinux/wineprefix/diablo3 ./winetricks -q vcrun2015

Press Enter

Note: Replace "username" with your login

Close Shell
Close Configure


† Booman †
Mint 19.3 64-bit | Nvidia 430 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained
paczes Tuesday 31 January 2017 at 17:02
paczesAnonymous

Hi Booman,

thanks for the hints. The thing is (for me), the GOG Galaxy doesn't even show up on my list in POL after the installation... I sincerely hope that it's the issue they'll manange to repair in the next Gwen release :)

booman Wednesday 1 February 2017 at 17:50
booman

Did you create a shortcut to the Galaxy.exe?

If it installed without errors, then you can create a shortcut yourself.  First, check to see if the virtual drive was created:

  • Configure
  • Look for a virtual drive - Galaxy or Gwent on the left side
  • Select the virtual drive
  • General Tab
  • Click "Create a shortcut from this virtual drive"
  • Look for Galaxy.exe
  • Name it Galaxy or Gwent

If there isn't a virtual drive or anything, then the installer didn't complete.


† Booman †
Mint 19.3 64-bit | Nvidia 430 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained
paczes Wednesday 1 February 2017 at 17:52
paczesAnonymous

It is installed. It just doesn't show in POL. And doesn't open when clicked on shortcut as well. 

booman Wednesday 1 February 2017 at 18:00
booman

Go ahead and make a new shortcut.  But when you RUN it, click "debug" instead of RUN


† Booman †
Mint 19.3 64-bit | Nvidia 430 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained
paczes Wednesday 1 February 2017 at 18:12
paczesAnonymous

booman Thursday 2 February 2017 at 0:26
booman

Wow, that is a lot of fixme logs.  I really think it requires some visual c packages.  Try installing:

  • vcrun2008
  • vcrun2010
  • vcrun2012

if that doesnt work, then try my instructions on installing vcrun2015 above


† Booman †
Mint 19.3 64-bit | Nvidia 430 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained
paczes Thursday 2 February 2017 at 14:45
paczesAnonymous

Thanks a lot, will try that today and will let you know.

Btw I really appreciate your help, I was in fact looking for someone how would devote some time to help me with this as I'm not the linux beginner, but not that advanced either ;) Sadly the beta key for Gwent is not available for everyone, so you cannot install it and see for yourself. I really believe we can do it ;)

booman Thursday 2 February 2017 at 21:38
booman

Truthfully, I install all my games as a manual installation.  I do these steps on a regular basis, so I'm heavily involved in testing windows games.

I can easily download Galaxy and try to run it in PlayOnLinux with Wine 2.0


† Booman †
Mint 19.3 64-bit | Nvidia 430 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained
paczes Friday 3 February 2017 at 8:29
paczesAnonymous

I installed all the vcruns and now when I click "debug" it shows me even more errors and the "POL crashed" window appears continuously... 

booman Friday 3 February 2017 at 16:15
booman

I'll make a not to give it a try this weekend and see if I have any success.


† Booman †
Mint 19.3 64-bit | Nvidia 430 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained
booman Saturday 4 February 2017 at 13:52
booman

I didn't realize Galaxy was still in beta.  I think it has been available for about a year now.  So there is a chance an update could break it in the future.

There are some good test results here on WineHQ's


† Booman †
Mint 19.3 64-bit | Nvidia 430 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained
booman Sunday 5 February 2017 at 1:27
booman

Ok, after some testing of setup_galaxy_1.1.27.1 
I couldn't get it to run either.  I did noticed that Visual C 2015 does install, so I had to do the manual install first before installing the Galaxy client.

I couldn't get it to launch at all... at one point it began to update but then nothing.

Here are the errors I got...

 

2017-02-04 06:11:08.363 [Information][#1 (1)]: Key HKEY_LOCAL_MACHINE\SOFTWARE\GOG.com\Games doesn't exist; skipping
fixme:process:ProcessIdToSessionId Unsupported for other processes.
fixme:process:ProcessIdToSessionId Unsupported for other processes.
fixme:process:ProcessIdToSessionId Unsupported for other processes.
fixme:advapi:GetExplicitEntriesFromAclW 0x1dc6fc 0xbbe338 0xbbe32c
2017-02-04 06:11:08.380 [Error][#1 (1)]: Failed to free local: error 6.
2017-02-04 06:11:08.380 [Information][#1 (1)]: Setting registry permissions for client OK
fixme:process:ProcessIdToSessionId Unsupported for other processes.
fixme:process:ProcessIdToSessionId Unsupported for other processes.
fixme:process:ProcessIdToSessionId Unsupported for other processes.
fixme:process:ProcessIdToSessionId Unsupported for other processes.
fixme:advapi:GetExplicitEntriesFromAclW 0x1dc9fc 0xbbe338 0xbbe32c
2017-02-04 06:11:08.398 [Error][#1 (1)]: Failed to free local: error 6.
2017-02-04 06:11:08.398 [Information][#1 (1)]: Setting registry permissions for Galaxy OK
2017-02-04 06:11:08.398 [Information][#1 (1)]: FixDirectoryPrivilegesRequest complete: 1
2017-02-04 06:11:08.399 [Information][WebcacheDownloader (25)]: Sending data for fix privileges request to service complete
2017-02-04 06:11:08.399 [Information][#1 (1)]: Sending response of type 4 [Sequence Number: 1980985560], rseq 1980985560. completed OK
2017-02-04 06:11:08.399 [Information][#1 (1)]: FixDirectoryPrivilegesRequest response sent
2017-02-04 06:11:08.400 [Information][#1 (1)]: Connection closed by remote host
2017-02-04 06:11:08.400 [Information][#1 (1)]: ServiceConnectionHandler disconnecting
fixme:process:ProcessIdToSessionId Unsupported for other processes.
fixme:process:ProcessIdToSessionId Unsupported for other processes.
2017-02-04 06:11:08.429 [Fatal][ (0)]: Unhandled SEH exception 3221225477 at address 1261B61E during timer execution
fixme:process:ProcessIdToSessionId Unsupported for other processes.
2017-02-04 06:11:18.477 [Information][SubSystem shortTasks thread (18)]: API status is: online
2017-02-04 06:11:23.354 [Information][ (0)]: Scheduling for the periodic product check.
2017-02-04 06:11:38.425 [Information][#1 (1)]: Service inactivity timeout exceeded, terminating
2017-02-04 06:11:38.434 [Information][ (0)]: Service stopped
fixme:module:load_library unsupported flag(s) used (flags: 0x00000800)
fixme:ver:GetCurrentPackageId (0x33fdbc (nil)): stub
fixme:ntdll:EtwEventUnregister (deadbeef) stub.
2017-02-04 06:16:18.479 [Information][ (0)]: Scheduling first CheckComponentsVersionTask.
2017-02-04 06:16:18.686 [Information][SubSystem shortTasks thread (18)]: CheckComponentsVersionTask: fetched component desktop-galaxy-client version, remote version = 1.1.27.1
2017-02-04 06:16:18.690 [Information][SubSystem shortTasks thread (18)]: Component 'desktop-galaxy-client' does not require update; local version: 1.1.27.1, remote version: 1.1.27.1
2017-02-04 06:16:18.793 [Information][SubSystem shortTasks thread (18)]: CheckComponentsVersionTask: fetched component desktop-galaxy-updater version, remote version = 1.1.27.1
2017-02-04 06:16:18.795 [Information][SubSystem shortTasks thread (18)]: Component 'desktop-galaxy-updater' does not require update; local version: 1.1.27.1, remote version: 1.1.27.1
2017-02-04 06:16:18.896 [Information][SubSystem shortTasks thread (18)]: CheckComponentsVersionTask: fetched component desktop-galaxy-peer version, remote version = 0.0.0.676
2017-02-04 06:16:18.899 [Information][SubSystem shortTasks thread (18)]: Component 'desktop-galaxy-peer' does not require update; local version: 0.0.0.676, remote version: 0.0.0.676
2017-02-04 06:16:19.001 [Information][SubSystem shortTasks thread (18)]: CheckComponentsVersionTask: fetched component desktop-galaxy-commservice version, remote version = 1.1.21.2
2017-02-04 06:16:19.003 [Information][SubSystem shortTasks thread (18)]: Component 'desktop-galaxy-commservice' does not require update; local version: 1.1.21.2, remote version: 1.1.21.2
2017-02-04 06:16:19.210 [Information][SubSystem shortTasks thread (18)]: CheckComponentsVersionTask: fetched component desktop-galaxy-overlay version, remote version = 0.0.0.854
2017-02-04 06:16:19.216 [Information][SubSystem shortTasks thread (18)]: Component 'desktop-galaxy-overlay' does not require update; local version: 0.0.0.854, remote version: 0.0.0.854
2017-02-04 06:16:19.217 [Information][SubSystem shortTasks thread (18)]: CheckComponentsVersionTask finished with update status: not required 
2017-02-04 06:16:19.225 [Information][SubSystem shortTasks thread (18)]: Wrote self-update timestamp 1486214179 into C:\users\Public\Application Data\GOG.com\Galaxy\selfupdate.json
2017-02-04 06:21:18.478 [Information][SubSystem shortTasks thread (18)]: API status is: online
2017-02-04 06:21:23.355 [Information][ (0)]: Scheduling for the periodic product check.

† Booman †
Mint 19.3 64-bit | Nvidia 430 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained
Asder Monday 6 February 2017 at 19:24
AsderAnonymous

Hello! I am too linux mint user (newbie with few weeks expierence) and i manage to run gog galaxy(it show error at start but still run fast and smooth... probably) and install gwent (though it dont work). If there is easy way to post wine config let me know. Galaxy seems to run on wine 2.0-rc 5 (x86) staging just fine but on 2.0-rc 3 (x86) staging dont even start up.

Any corrections to my terrible english is appreciated.

Edited by Asder

booman Monday 6 February 2017 at 20:07
booman

Thanks for the information.  I will try with another version of Wine and see what happens.

You can't post file here, but you can post your log or errors.  Just make sure to "quote" them for formatting


† Booman †
Mint 19.3 64-bit | Nvidia 430 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained
paczes Monday 6 February 2017 at 20:44
paczesAnonymous

So I guess this is it. We need to wait for the official release of Gwent for Steam (hopefully) or the perfect GOG Galaxy client on wine. 

booman Tuesday 7 February 2017 at 13:14
booman

Since Galaxy is in beta there is no way to guarantee it will work.  Mostly because they are always making changes. Even the Steam client has made updates and would break in Wine


† Booman †
Mint 19.3 64-bit | Nvidia 430 | GeForce GTX 1060
Linux for Beginners | List of Linux Games | My Games
PlayOnLinux Guides | PlayOnLinux Explained